<?php
/*
	Author:  Jason F. Irwin Jfi
	Author URI: http://www.j2fi.net/
	Description: Displays SETI@Home stats
*/

load_plugin_textdomain('seti');

/* Create Default Account Number if it Doesn't Exist */
add_option('seti_acct', '0');
add_option('seti_expy', '4');

$location = get_option('siteurl') . '/wp-admin/admin.php?page=seti-stats/options-seti.php'; // Form Action URI

/*check form submission and update options*/
if ('process' == $_POST['stage'])
{
  update_option('seti_acct', $_POST['seti_acct']);
  update_option('seti_expy', $_POST['seti_expy']);
}

/*Get options for form fields*/
$seti_acct = get_option('seti_acct');
$seti_expy = get_option('seti_expy');

?>

<form name="seti"></form>
<div class="wrap">
  <h2><?php _e('SETI Options') ?></h2>
  <form id="seti_form" name="form1" method="post" action="<?php echo $location ?>&amp;updated=true">
  	<input type="hidden" name="stage" value="process" />

  	<fieldset class="options">
  		<legend><?php _e('Personal Settings') ?></legend>
  		<table width="100%" cellpadding="5" class="editform">
  			<tr>
					<td><label for="seti_acct">Account Number:</label></td>
					<td><input style="width: 200px;" id="seti_acct" name="seti_acct" type="text" value="<?php echo $seti_acct;?>" /></td>
				</tr>
  			<tr>
					<td><label for="seti_expy">Refresh (in Hours):</label></td>
					<td><input style="width: 50px;" id="seti_expy" name="seti_expy" type="text" value="<?php echo $seti_expy;?>" /></td>
				</tr>
			</table>
    </fieldset>
    
    <p class="submit">
      <input type="submit" name="Submit" value="<?php _e('Update options') ?> &raquo;" />
    </p>
  </form>
</div>